# (C) 2001-2012 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Altera Program License Subscription 
# Agreement, Altera MegaCore Function License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Altera and sold by 
# Altera or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


global env ;

set QSYS_SIMDIR "../reconfig/reconfig_sim"
source ../reconfig/reconfig_sim/mentor/msim_setup.tcl


dev_com

com

vlog ../altera_eth_10g_mac_base_kr_top.v -work work

vlog $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/mgmt_memory_map.sv -work reconfig
vlog $env(QUARTUS_ROOTDIR)/../ip/altera/alt_xcvr/utils/mgmt_master/mgmt_commands_h.sv -work reconfig
vlog $env(QUARTUS_ROOTDIR)/../ip/altera/alt_xcvr/utils/mgmt_master/mgmt_cpu.sv -work reconfig
vlog $env(QUARTUS_ROOTDIR)/../ip/altera/alt_xcvr/utils/mgmt_master/mgmt_functions_h.sv -work reconfig
vlog $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/mgmt_program_1g10g_mif.sv -work reconfig
vlog $env(QUARTUS_ROOTDIR)/../ip/altera/alt_xcvr/utils/mgmt_master/mgmt_master.sv -work reconfig
vlog $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/sv_rc_bundle.sv -work reconfig
vlog $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/rom_*.*v -work reconfig
file copy -force $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/baser_channel.mif ./
file copy -force $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/ll_channel.mif ./
file copy -force $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/mif_10g_1588_inst_channel.mif ./
file copy -force $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/mif_10g_inst_channel.mif ./
file copy -force $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/mif_1g_1588_inst_channel.mif ./
file copy -force $env(QUARTUS_ROOTDIR)/../ip/altera/ethernet/altera_eth_10g_design_example/design_example_components/base_kr/mif_1g_inst_channel.mif ./




set QSYS_SIMDIR "../altera_eth_10g_mac_base_kr/simulation"
source ../altera_eth_10g_mac_base_kr/simulation/mentor/msim_setup.tcl

# Alias from msim_setup.tcl
# Compile device library files


# Compile the design files in correct order
com


# vlog -work work ../configure_reconfig.v

# Compile Avalon VIP
vlog -work work $env(QUARTUS_ROOTDIR)/../ip/altera/sopc_builder_ip/verification/lib/verbosity_pkg.sv
vlog -work work $env(QUARTUS_ROOTDIR)/../ip/altera/sopc_builder_ip/verification/lib/avalon_mm_pkg.sv
vlog -work work $env(QUARTUS_ROOTDIR)/../ip/altera/sopc_builder_ip/verification/lib/avalon_utilities_pkg.sv
vlog -work work $env(QUARTUS_ROOTDIR)/../ip/altera/sopc_builder_ip/verification/altera_avalon_mm_master_bfm/altera_avalon_mm_master_bfm.sv
vlog -work work $env(QUARTUS_ROOTDIR)/../ip/altera/sopc_builder_ip/verification/altera_avalon_st_sink_bfm/altera_avalon_st_sink_bfm.sv
vlog -work work $env(QUARTUS_ROOTDIR)/../ip/altera/sopc_builder_ip/verification/altera_avalon_st_source_bfm/altera_avalon_st_source_bfm.sv


# Compile testbench
vlog -work work tb.sv

# Elaborate top level design
elab \
-L reconfig\
-novopt\
-t ps\
work.tb

log -r /*

# Add waveform
do wave.do

# Run the simulation
run -all

