source common.tcl
source csr_pkg.tcl

open_jtag

puts "=============================================================================="
puts "                      Accessing Ethernet 10G MAC CSR			    "
puts "==============================================================================\n\n"
puts "Write to configure pause quanta\n"
puts "value before wtite:[rd32 0x04504 0x0 0x0]\n"

wr32 0x4504 0x0 0x0 0xAFFF
puts "value after wtite:[rd32 0x4504 0x0 0x0]\n"

puts "Write to configure rx fifo almost full threshold\n"
puts "value before wtite:[rd32 0x010408 0x0 0x0]\n"

wr32 0x010408 0x0 0x0 0x708
puts "value after wtite:[rd32 0x010408 0x0 0x0]\n"


puts "Write to configure rx fifo almost empty threshold\n"
puts "value before wtite:[rd32 0x01040c 0x0 0x0]\n"

wr32 0x01040c 0x0 0x0 0x10
puts "value after wtite:[rd32 0x01040c 0x0 0x0]\n"

close_jtag