# (C) 2001-2012 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Altera Program License Subscription 
# Agreement, Altera MegaCore Function License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Altera and sold by 
# Altera or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider {Clock & Reset}
add wave -noupdate -label ref_clk_125 /tb/ref_clk_125
add wave -noupdate -label ref_clk_322 /tb/ref_clk_322
add wave -noupdate -label reset /tb/reset
add wave -noupdate -divider {Avalon-MM CSR}
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_mm_csr_clk
add wave -noupdate -radix hexadecimal -childformat {{{/tb/avalon_mm_csr_address[20]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[19]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[18]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[17]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[16]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[15]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[14]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[13]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[12]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[11]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[10]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[9]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[8]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[7]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[6]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[5]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[4]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[3]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[2]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[1]} -radix hexadecimal} {{/tb/avalon_mm_csr_address[0]} -radix hexadecimal}} -radixenum numeric -subitemconfig {{/tb/avalon_mm_csr_address[20]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[19]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[18]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[17]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[16]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[15]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[14]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[13]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[12]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[11]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[10]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[9]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[8]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[7]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[6]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[5]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[4]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[3]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[2]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[1]} {-height 16 -radix hexadecimal -radixenum numeric} {/tb/avalon_mm_csr_address[0]} {-height 16 -radix hexadecimal -radixenum numeric}} /tb/avalon_mm_csr_address
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_mm_csr_read
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_mm_csr_readdata
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_mm_csr_write
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_mm_csr_writedata
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_mm_csr_waitrequest
add wave -noupdate /tb/rx_data_ready
add wave -noupdate /tb/rx_pma_ready
add wave -noupdate /tb/tx_pma_ready
add wave -noupdate -label avalon_mm_csr_address /tb/avalon_mm_csr_address
add wave -noupdate -divider {Avalon-ST RX}
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_rx_clk
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_rx_ready
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_rx_valid
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_rx_startofpacket
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_rx_endofpacket
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_rx_data
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_rx_empty
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_rx_error
add wave -noupdate -divider {Avalon-ST TX}
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_tx_clk
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_tx_ready
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_tx_valid
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_tx_startofpacket
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_tx_endofpacket
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_tx_data
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_tx_empty
add wave -noupdate -radix hexadecimal -radixenum numeric /tb/avalon_st_tx_error
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {1049906619 ps} 0} {{Cursor 2} {175180382 ps} 0}
quietly wave cursor active 2
configure wave -namecolwidth 222
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {0 ps} {74031965 ps}
